// (C) 2005 Max Howell (max.howell@methylblue.com)
// See COPYING file for licensing information

#include <tdeaction.h>


/**
 * @class FullSCreenAction
 * @author Max Howell <max.howell@methylblue.com>
 * @short Adapted TDEToggleFullScreenAction, mainly because that class is shit
 */
class FullScreenAction : public TDEToggleAction
{
public:
    FullScreenAction( TQWidget *window, TDEActionCollection* );

    virtual void setChecked( bool );
    virtual void setEnabled( bool );

protected:
    virtual bool eventFilter( TQObject* o, TQEvent* e );

private:
    TQWidget *m_window;
    bool m_shouldBeDisabled;
    unsigned long m_state;
};
